#ifndef ETHERNETSETTINGS_H
#define ETHERNETSETTINGS_H

#include "connectionsettingsengine.h"
#include "generalsettingstab.h"
#include "ethernetsettingstab.h"
#include "security802_1xtab.h"

#include <QDialog>

namespace Ui {
class GenericSettings;
}

class EthernetSettings : public QDialog
{
    Q_OBJECT

public:
    explicit EthernetSettings(QString connUuidStr, QWidget *parent = nullptr);
    ~EthernetSettings();

private slots:
    void onCancelButtonClicked();
    void onSaveButtonClicked();

private:
    Ui::GenericSettings *ui;

    QString targetConnUuidStr;
    GeneralSettingsTab *generalSettingsTab;
    EthernetSettingsTab *ethernetSettingsTab;
    Security802_1xTab *security802_1xSettingsTab;
};

#endif // ETHERNETSETTINGS_H
